
public class Agenzia {
    private final String denominazione;
    private final String città;

    @Override
    public String toString() {
        return "Agenzia{" + "denominazione=" + denominazione + ", citt\u00e0=" + città + '}';
    }

    public Agenzia() {
        this.denominazione = "";
        this.città = "";
    }
    
    public Agenzia(String denominazione, String città) {
        this.denominazione = denominazione;
        this.città = città;
    }
    
    public Agenzia(Agenzia agenzia) {
        this.denominazione = agenzia.denominazione;
        this.città = agenzia.città;
    }

    public String getDenominazione() {
        return denominazione;
    }

    public String getCittà() {
        return città;
    }
}
