
package books;

import java.math.*;
import javax.xml.bind.*;
import java.io.*;

public class Marshalling {
    public static void main(String[] args) throws JAXBException, IOException {
        Libri libri = new Libri();
        JAXBContext context = JAXBContext.newInstance("books");
        TipoLibroGenere libro1 = new TipoLibroGenere( "fantascienza", "Stefano Benni", "Terra!", new BigDecimal(10.5));
        libri.addLibro(libro1);
        TipoLibroGenere libro2 = new TipoLibroGenere( "romanzo", "Mark Twain", "Le avventure di Huckleberry Finn", new BigDecimal(9.9));
        libri.addLibro(libro2);
        TipoLibroGenere libro3 = new TipoLibroGenere( "romanzo", "Herman Melville", "Moby Dick", new BigDecimal(15.0));
        libri.addLibro(libro3);
        Marshaller marshaller = context.createMarshaller();
        marshaller.marshal(libri, new FileWriter("books.xml"));
    }
}
