
import java.math.BigDecimal;
import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tipo_libro_genere")
public class TipoLibroGenere extends TipoLibro
{
    @XmlAttribute(name = "genere", required = true)
    protected String genere;

    public TipoLibroGenere() {
        super();
    }
    
    public TipoLibroGenere( String genere, String autore, String titolo, BigDecimal prezzo) {
        super(autore, titolo, prezzo);
        this.genere = genere;
    }
    
    public String getGenere() {
        return genere;
    }
    
    public void setGenere(String value) {
        this.genere = value;
    }

    public String toString() {
        return "[" + genere + "] " + autore + ", \"" + titolo + "\" (" + prezzo + "€)";
    }
}
